<template>
  <div class="flex items-center space-x-2">
    <span v-if="status === 'Approved'" class="text-lime-500 text-base font-semibold flex items-center">
      Approved
      <Icon icon="fa-solid fa-check" class="ml-2 text-lg"></Icon>
    </span>
    <span v-else-if="status === 'Rejected'" class="text-red-600 text-base font-semibold flex items-center">
      Rejected
      <Icon icon="fa-solid fa-xmark" class="ml-2 text-lg"></Icon>
    </span>
    <span v-else class="text-blue-400 text-base font-semibold flex items-center">
      Pending
      <Icon icon="fa-solid fa-spinner" class="ml-2 text-lg animate-spin"></Icon>
    </span>
  </div>
</template>

<script setup>
defineProps({
  status: String
})
</script>

<style scoped>
/* Additional custom styles if needed */
</style>
